POST /v0/wallet/transfer-offers
Create an offer to directly transfer a given amount of Amulet to another party. Direct transfers are a three-step process: 1. The sender creates a transfer offer 2. The receiver accepts the offer 3. The sender’s wallet automation consumes the accepted offer and transfers the amount. Amulets are not locked for direct transfers. If the sender’s wallet does not have enough Amulet to fulfill the offer at this point, the transfer will fail.
Create an offer to directly transfer a given amount of Amulet to another party. Direct transfers are a three-step process: 1. The sender creates a transfer offer 2. The receiver accepts the offer 3. The sender’s wallet automation consumes the accepted offer and transfers the amount. Amulets are not locked for direct transfers. If the sender’s wallet does not have enough Amulet to fulfill the offer at this point, the transfer will fail.
Authorizations
walletUserAuth
Authorization: Bearer <token>. Bearer format: JWT. JWT token as described by the spliceAppBearerAuth security scheme. The subject of the token must be ledger API user of the user whose wallet the endpoint affects.Body
integer (int64).Expiry time of the transfer offer as unix timestamp in microseconds. After this time, the offer can no longer be accepted and automation in the wallet will eventually expire the transfer offer. Note that this time is compared against the ledger effective time of the Daml transaction accepting or expiring an offer, and can skew from the wall clock time measured on the caller’s machine. See https://docs.daml.com/concepts/time.html for how ledger effective time is bound to the record time of a transaction on a domain.Responses
200
The transfer offer has been created.400
Invalid request, check the error response for details.404
The submitter’s wallet could not be found.409
A transfer offer with the same tracking id has been created. Check the status endpoint for the current status.429
A transfer offer with the same tracking id is currently being processed, which may or may not succeed. Retry submitting the request with exponential back-off.500
internal server errorHistory
0.5.10